CablewaysLayoutView Class

class NXOpen.Routing.Electrical.CablewaysLayoutView

Bases: NXOpen.NXObject

Represents the CablewaysLayoutView class.

No creator as of now

New in version NX7.5.0.

Properties

Property Description
IsOccurrence Returns whether this object is an occurrence or not.
JournalIdentifier Returns the identifier that would be recorded in a journal for this object.
Name Returns the custom name of the object.
OwningComponent Returns the owning component, if this object is an occurrence.
OwningPart Returns the owning part of this object
Prototype Returns the prototype of this object if it is an occurrence.
Tag Returns the Tag for this object.

Methods

Method Description
CondemnLayoutViewEntities Condemns the layout view entities.
CreateAttributeIterator Create an attribute iterator
DeleteAllAttributesByType Deletes all attributes of a specific type.
DeleteAttributeByTypeAndTitle Deletes an attribute by type and title.
DeleteUserAttribute Deletes the first attribute encountered with the given Type, Title.
DeleteUserAttributes Deletes the attributes on the object, if any, that satisfy the given iterator
FindObject Finds the NXOpen.NXObject with the given identifier as recorded in a journal.
FlipView Flips the layout view along view direction.
GetAttributeTitlesByType Gets all the attribute titles of a specific type.
GetBooleanUserAttribute Gets a boolean attribute by Title and array Index.
GetComputationalTimeUserAttribute Gets a time attribute by Title and array Index.
GetIntegerAttribute Gets an integer attribute by title.
GetIntegerUserAttribute Gets an integer attribute by Title and array Index.
GetNextUserAttribute Gets the next attribute encountered on the object, if any, that satisfies the given iterator.
GetPdmReferenceAttributeValue Gets the value of PDM Reference attribute for given object.
GetRealAttribute Gets a real attribute by title.
GetRealUserAttribute Gets a real attribute by Title and array Index.
GetReferenceAttribute Gets the reference string (not the calculated value) of a string attribute that uses a reference string.
GetStringAttribute Gets a string attribute value by title.
GetStringUserAttribute Gets a string attribute by Title and array Index.
GetTimeAttribute Gets a time attribute by title.
GetTimeUserAttribute Gets a time attribute by Title and array Index.
GetUserAttribute Gets the first attribute encountered on the object, if any, with a given Title, Type and array Index.
GetUserAttributeAsString Gets the first attribute encountered on the object, if any, with a given title, type and array index.
GetUserAttributeCount Gets the count of set attributes on the object, if any, that satisfy the given iterator.
GetUserAttributeLock Determine the lock of the given attribute.
GetUserAttributeSize Gets the size of the first attribute encountered on the object, if any, with a given Title and Type.
GetUserAttributeSourceObjects Returns an array of objects from which this object presents attributes.
GetUserAttributes Gets all the attributes that have been set on the given object, if any, that satisfy the given iterator.
GetUserAttributesAsStrings Gets all the attributes that have been set on the given object.
GetViewDirection Returns the view direction.
GetViewMatrixAndOrigin Returns the orientation matrix and origin associated with the layout view.
HasUserAttribute Determines if an attribute exists on the object, that satisfies the given iterator
HighlightView Highlights the layout view.
PositionLayoutView Positions the layout view in the 3D space as per input orientation matrix and origin.
Print Prints a representation of this object to the system log file.
SetAttribute Creates or modifies an integer attribute.
SetBooleanUserAttribute Creates or modifies a boolean attribute with the option to update or not.
SetName Sets the custom name of the object.
SetPdmReferenceAttribute Sets the value of PDM Reference attribute on the object.
SetReferenceAttribute Creates or modifies a string attribute which uses a reference string.
SetTimeAttribute Creates or modifies a time attribute.
SetTimeUserAttribute Creates or modifies a time attribute with the option to update or not.
SetUserAttribute Creates or modifies an attribute with the option to update or not.
SetUserAttributeLock Lock or unlock the given attribute.
UncondemnLayoutViewEntities Uncondemns the layout view entities.
UnhighlightView Unhighlights the layout view.

Property Detail

IsOccurrence

CablewaysLayoutView.IsOccurrence

Returns whether this object is an occurrence or not.

-------------------------------------

Getter Method

Signature IsOccurrence

Returns:This object is an occurrence
Return type:bool

New in version NX3.0.0.

License requirements: None.

JournalIdentifier

CablewaysLayoutView.JournalIdentifier

Returns the identifier that would be recorded in a journal for this object.

This may not be the same across different releases of the software.

-------------------------------------

Getter Method

Signature JournalIdentifier

Returns:
Return type:str

New in version NX3.0.0.

License requirements: None.

Name

CablewaysLayoutView.Name

Returns the custom name of the object.

-------------------------------------

Getter Method

Signature Name

Returns:
Return type:str

New in version NX3.0.0.

License requirements: None.

OwningComponent

CablewaysLayoutView.OwningComponent

Returns the owning component, if this object is an occurrence.

-------------------------------------

Getter Method

Signature OwningComponent

Returns:
Return type:NXOpen.Assemblies.Component

New in version NX3.0.0.

License requirements: None.

OwningPart

CablewaysLayoutView.OwningPart

Returns the owning part of this object

-------------------------------------

Getter Method

Signature OwningPart

Returns:The owning part of this object or null if it does not have an owner
Return type:NXOpen.BasePart

New in version NX3.0.0.

License requirements: None.

Prototype

CablewaysLayoutView.Prototype

Returns the prototype of this object if it is an occurrence.

-------------------------------------

Getter Method

Signature Prototype

Returns:The prototype of this object or null if this object is not an occurrence
Return type:NXOpen.INXObject

New in version NX3.0.0.

License requirements: None.

Method Detail

CondemnLayoutViewEntities

CablewaysLayoutView.CondemnLayoutViewEntities

Condemns the layout view entities.

Signature CondemnLayoutViewEntities()

New in version NX7.5.0.

License requirements: routing_cabling (“Routing Cabling”)

FindObject

CablewaysLayoutView.FindObject

Finds the NXOpen.NXObject with the given identifier as recorded in a journal.

An object may not return the same value as its JournalIdentifier in different versions of the software. However newer versions of the software should find the same object when FindObject is passed older versions of its journal identifier. In general, this method should not be used in handwritten code and exists to support record and playback of journals.

An exception will be thrown if no object can be found with the given journal identifier.

Signature FindObject(journalIdentifier)

Parameters:journalIdentifier (str) – Journal identifier of the object
Returns:
Return type:NXOpen.INXObject

New in version NX3.0.0.

License requirements: None.

FlipView

CablewaysLayoutView.FlipView

Flips the layout view along view direction.

Signature FlipView()

New in version NX7.5.0.

License requirements: routing_cabling (“Routing Cabling”)

GetViewDirection

CablewaysLayoutView.GetViewDirection

Returns the view direction.

Signature GetViewDirection()

Returns:
Return type:bool

New in version NX7.5.0.

License requirements: routing_cabling (“Routing Cabling”)

GetViewMatrixAndOrigin

CablewaysLayoutView.GetViewMatrixAndOrigin

Returns the orientation matrix and origin associated with the layout view.

Signature GetViewMatrixAndOrigin()

Returns:a tuple
Return type:A tuple consisting of (orientation, origin). orientation is a NXOpen.Matrix3x3. origin is a NXOpen.Point3d.

New in version NX7.5.0.

License requirements: routing_cabling (“Routing Cabling”)

HighlightView

CablewaysLayoutView.HighlightView

Highlights the layout view.

Signature HighlightView()

New in version NX7.5.0.

License requirements: routing_cabling (“Routing Cabling”)

PositionLayoutView

CablewaysLayoutView.PositionLayoutView

Overloaded method PositionLayoutView

  • PositionLayoutView(orientation, origin)
  • PositionLayoutView(toOrientation)

-------------------------------------

Positions the layout view in the 3D space as per input orientation matrix and origin.

Signature PositionLayoutView(orientation, origin)

Parameters:

New in version NX7.5.0.

License requirements: routing_cabling (“Routing Cabling”)

-------------------------------------

Positions the layout view in the 3D space as per the NXOpen.Xform.

Signature PositionLayoutView(toOrientation)

Parameters:toOrientation (NXOpen.Xform) –

New in version NX7.5.0.

License requirements: routing_cabling (“Routing Cabling”)

-------------------------------------

Print

CablewaysLayoutView.Print

Prints a representation of this object to the system log file.

Signature Print()

New in version NX3.0.0.

License requirements: None.

SetName

CablewaysLayoutView.SetName

Sets the custom name of the object.

NOTE: This method should not be used to edit a read-only object such as a Mirrored PMI object. If it is, the changes will be overridden when the part is updated.

Signature SetName(name)

Parameters:name (str) –

New in version NX3.0.0.

License requirements: None.

UncondemnLayoutViewEntities

CablewaysLayoutView.UncondemnLayoutViewEntities

Uncondemns the layout view entities.

Signature UncondemnLayoutViewEntities()

New in version NX7.5.0.

License requirements: routing_cabling (“Routing Cabling”)

UnhighlightView

CablewaysLayoutView.UnhighlightView

Unhighlights the layout view.

Signature UnhighlightView()

New in version NX7.5.0.

License requirements: routing_cabling (“Routing Cabling”)